:root {
    --bg1: #2e337b;
    --bg2: #7a9cd6;
    --main1: #ffd6ff;
}

html{
    font-family: "Rubik", sans-serif;
    font-weight: 400;
}

a:link:not(.tab-link) { color:  pink; }  
a:visited:not(.tab-link) { color: pink; }  
a:hover { color: pink; }  
a:active:not(.tab-link) { color: pink; } 

html, body {
    min-height: 100vh;
    margin: 0;
}

body {
    display: flex;
    background-color: var(--bg1);
    color: white;
}


.sidebar {
    flex: 1;
    text-align: right;
    padding: 3rem 1.5rem 0 1rem;
    background-color: var(--bg2);
}

.nav-tabs {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.headshot {
    border-radius: 50%;
    height: 200px;
    border: 5px double var(--bg1);
}

.sidebar__subtitle {
    margin-top: -.3rem;
    color: pink;
    line-height: 1.2;
    font-size: 1.4rem;
}

.tab {
    display: none;
}

.tab#about {
    max-width: 600px;
}

.tab-link {
    color: white;
    text-decoration: none;
    font-style: italic;
}

.tab-active {
    color: pink;
    font-style: italic;
    text-decoration: none;
}

main {
    margin: 3rem 1rem 2rem 1.5rem;
    flex: 2;
}

:is(h2, h3, h4, h5, h6) {
    color: pink;
}